Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::interform::ChoiceOption Class Reference

Inherits Object.

## Public Member Functions
| ChoiceOption ()
| Constructor.
| ChoiceOption (const ChoiceOption &option)
| Constructor, with another choice option object. More...
| ChoiceOption (const wchar_t *option_value, const wchar_t *option_label, bool selected, bool default_selected)
| Constructor, with parameters. More...
ChoiceOption & | operator= (const ChoiceOption &option)
| Assign operator. More...
void | Set (const wchar_t *option_value, const wchar_t *option_label, bool selected, bool default_selected)
| Set value. More...

## Public Attributes
bool | default_selected
| Used to indicate whether the option would be selected by default or not.
WString | option_label
| The displayed string value for the option.
WString | option_value
| The option string value.
bool | selected
| Used to indicate whether the option is selected or not.

## Detailed Description

This class represents the data of an option in list box or combo box.

## Constructor & Destructor Documentation

## ◆ ChoiceOption() [1/2]

foxit::pdf::interform::ChoiceOption::ChoiceOption | ( | const wchar_t * | option_value,
|  | const wchar_t * | option_label,
|  | bool | selected,
|  | bool | default_selected
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | option_value | The option string value.
  [in] | option_label | The displayed string value for the option.
  [in] | selected | true means the option is selected, and false means the option is not selected.
  [in] | default_selected | true means the option would be selected by default, and false means the option would not be selected by default.

## ◆ ChoiceOption() [2/2]

foxit::pdf::interform::ChoiceOption::ChoiceOption | ( | const ChoiceOption & | option | ) |
| inline

Constructor, with another choice option object.

Parameters

  [in] | option | Another choice option object.

## Member Function Documentation

## ◆ operator=()

ChoiceOption& foxit::pdf::interform::ChoiceOption::operator= | ( | const ChoiceOption & | option | ) |
| inline

Assign operator.

Parameters

  [in] | option | Another choice option object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::pdf::interform::ChoiceOption::Set | ( | const wchar_t * | option_value,
|  | const wchar_t * | option_label,
|  | bool | selected,
|  | bool | default_selected
| ) |  |
| inline

Set value.

Parameters

  [in] | option_value | The option string value.
  [in] | option_label | The displayed string value for the option.
  [in] | selected | true means the option is selected, and false means the option is not selected.
  [in] | default_selected | true means the option would be selected by default, and false means the option would not be selected by default.

Returns
  None.